Skip to main content
`Ctrl`+`K`

# SkyOffsetFrame

class astropy.coordinates.SkyOffsetFrame(*args, **kwargs)

  Bases: `BaseCoordinateFrame`

  A frame which is relative to some specific position and oriented to match its frame.

  SkyOffsetFrames always have component names for spherical coordinates of `lon`/`lat`, not the component names for the frame of `origin`.

  This is useful for calculating offsets and dithers in the frame of the sky relative to an arbitrary position. Coordinates in this frame are both centered on the position specified by the `origin` coordinate, and they are oriented in the same manner as the `origin` frame. E.g., if `origin` is `ICRS`, this object’s `lat` will be pointed in the direction of Dec, while `lon` will point in the direction of RA.

  For more on skyoffset frames, see “Sky Offset” Frames.

  Parameters:
    representation `BaseRepresentation` or `python:None`

      A representation object or None to have no data (or use the other keywords)

    origin astropy:coordinate-like

      The coordinate which specifies the origin of this frame. Note that this origin is used purely for on-sky location/rotation. It can have a `distance` but it will not be used by this `SkyOffsetFrame`.

    rotation astropy:angle-like

      The final rotation of the frame about the `origin`. The sign of the rotation is the left-hand rule. That is, an object at a particular position angle in the un-rotated system will be sent to the positive latitude (z) direction in the final frame.

  Notes

  `SkyOffsetFrame` is a factory class. That is, the objects that it yields are not actually objects of class `SkyOffsetFrame`. Instead, distinct classes are created on-the-fly for whatever the frame class is of `origin`.

  Attributes Summary

  `default_differential` | Default representation for differential data (e.g., velocity)
  `default_representation` | Default representation for position data
  `frame_attributes` |
  `frame_specific_representation_info` | Mapping for frame-specific component names
  `name` |
  `origin` | The origin of the offset frame
  `rotation` | The rotation angle for the frame orientation

  Methods Summary

  `represent_as`(base[, s, in_frame_units]) | Ensure the wrap angle for any spherical representations.

  Attributes Documentation

  default_differential

    Default representation for differential data (e.g., velocity)

  default_representation

    Default representation for position data

  frame_attributes = {'origin': <astropy.coordinates.attributes.CoordinateAttribute object>, 'rotation': <astropy.coordinates.attributes.QuantityAttribute object>}
  frame_specific_representation_info

    Mapping for frame-specific component names

  name = 'skyoffsetframe'
  origin

    The origin of the offset frame

    No default value

  rotation

    The rotation angle for the frame orientation

    Default: 0.0 deg

  Methods Documentation

  represent_as(base, s='base', in_frame_units=False)

    Ensure the wrap angle for any spherical representations.